<template>
	<view>

		<view class="cu-list menu margin-bottom">
			<view class="cu-item arrow" @click="goPage('/pages/tool/sinpage?field=aboutus')">
				<view class="content">
					<text>关于我们</text>
				</view>
			</view>
			<view class="cu-item arrow" @click="goPage('/pages/tool/sinpage?field=privacy')">
				<view class="content">
					<text>隐私政策</text>
				</view>
			</view>
			<view class="cu-item arrow" @click="goPage('/pages/tool/sinpage?field=service')">
				<view class="content">
					<text>用户协议</text>
				</view>
			</view>
		</view>
		
		<view class="padding flex flex-direction" v-if="userinfo!=null">
			<button class="cu-btn bg-white lg" @click="loginOut">退出登录</button>
		</view>
		
	</view>
</template>

<script>
	var _this;
	export default {
		data() {
			return {
				userinfo: null
			};
		},
		onLoad: function() {
			_this = this;
			_this.userinfo = uni.getStorageSync('userinfo') || null;
		},
		methods: {
			goPage: function(pageurl) {
				uni.navigateTo({
					url: pageurl
				});
			},
			
			loginOut() {
				uni.clearStorageSync();
				uni.showModal({
					title: '温馨提示',
					content: '退出成功。',
					showCancel: false,
					success: function(res) {
						if (res.confirm) {
							uni.reLaunch({
								url: "/pages/index/home"
							});
						}
					}
				});
			}
		}
	}
</script>

<style>
</style>
